
Tripnet - Bug #42779
Client Comments # 19011 (Closed): auto cancel booking 
Hotel|Auto cancel
07/05/2018 07:58 am - Albin Paul

Status: Closed Start date: 07/05/2018
Priority: Normal Due date: 07/09/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 4.50 hours
End_Date: 07/05/2018 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours:
Keys & Permissions:
Description

Auto cancellation not working for hotel.I run the below handler but no confirmed booking got cancelled.Cancel the confirmed ( invoiced
) booking based on the booking release date. example if the booking release date is today , i can cancel the booking till today
midnight for free cancellation.

Booking release date is existing in transaction queue report.Please check Booking ID:TPN1505

Handler-http://113.193.253.130/tripnettestadmin/Handlers/AutoCancelMailAndBookingCancellation.ashx

History
#1 - 07/05/2018 09:42 am - Vipin das
- Due date set to 07/05/2018
- Status changed from New to Assigned
- Assignee set to Ron Varghese

#2 - 07/05/2018 12:21 pm - Ron Varghese
- Status changed from Assigned to In Progress

#3 - 07/05/2018 01:57 pm - Ron Varghese
- Status changed from In Progress to Fixed not Tested
- % Done changed from 0 to 100
- End_Date set to 07/05/2018

issue in the handler. it is fixed.

#4 - 07/07/2018 09:02 am - Sangeetha  RS
- Status changed from Fixed not Tested to Not Fixed

not fixed..its not working..

http://113.193.253.130/tripnet0607admin/Handlers/AutoCancelMailAndBookingCancellation.ashx

#5 - 07/09/2018 08:18 am - Vipin das
http://113.193.253.130/tripnet0607admin/Handlers/AutoCancelMailAndBookingCancellation.ashx


- Due date changed from 07/05/2018 to 07/09/2018
- Status changed from Not Fixed to Assigned
- Assignee changed from Ron Varghese to Binsu M Peter

#6 - 07/09/2018 08:18 am - Binsu M Peter
- Status changed from Assigned to In Progress

#7 - 07/09/2018 10:15 am - Binsu M Peter
- Status changed from In Progress to Fixed not Tested

Checked with 100..Some changes neeeded for sp.
Sp changes: usp_SelectedBookingsForCancellation

#8 - 07/10/2018 04:33 pm - Albin Paul
- File 10-50-2018-18-07_Log.txt added
- Status changed from Fixed not Tested to Not Fixed

Still not working,Page redirecting to error page.Attaching error log.

#9 - 07/10/2018 04:42 pm - Binsu M Peter
- Status changed from Not Fixed to In Progress

#10 - 07/17/2018 08:01 am - Binsu M Peter
- Status changed from In Progress to On hold

#11 - 07/18/2018 07:32 am - Binsu M Peter
- Status changed from On hold to Propose No fix

#12 - 07/18/2018 07:46 am - Binsu M Peter

old bookings  cannot be cancelled since the cancellation date was expired..But in live its may not be reflected ,because they regularly run schedule for
cancelling bookings.

#13 - 09/18/2018 02:54 pm - Arun S
- Status changed from Propose No fix to Closed
- Assignee deleted (Binsu M Peter)

Files
10-50-2018-18-07_Log.txt 6.41 KB 07/10/2018 Albin Paul
